server {
  listen 443 ssl http2;
  # Remove '#' in the next line to enable IPv6
  # listen [::]:443 ssl http2;
  server_name uptime.asxp.io;
  ssl_certificate /etc/letsencrypt/live/asxp.io/fullchain.pem; # managed by Certbot
  ssl_certificate_key /etc/letsencrypt/live/asxp.io/privkey.pem; # managed by Certbot

  location / {
    proxy_set_header   X-Real-IP $remote_addr;
    proxy_set_header   X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header   Host $host;
    proxy_pass         http://localhost:3001/;
    proxy_http_version 1.1;
    proxy_set_header   Upgrade $http_upgrade;
    proxy_set_header   Connection "upgrade";
  }
}
